weka.core.pmml.jaxbbindings

## Class Level

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Level

-     public class Level
      extends java.lang.Object

  Java class for Level element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Level">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <attribute name="alpha" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="smoothedValue" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Level()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getAlpha()` Gets the value of the alpha property.
    `java.lang.Double` | `getSmoothedValue()` Gets the value of the smoothedValue property.
    `void` | `setAlpha(java.lang.Double value)` Sets the value of the alpha property.
    `void` | `setSmoothedValue(java.lang.Double value)` Sets the value of the smoothedValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Level

          public Level()

  - ### Method Detail

    - #### getAlpha

          public java.lang.Double getAlpha()

      Gets the value of the alpha property.
      Returns:
        possible object is `Double`

    - #### setAlpha

          public void setAlpha(java.lang.Double value)

      Sets the value of the alpha property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getSmoothedValue

          public java.lang.Double getSmoothedValue()

      Gets the value of the smoothedValue property.
      Returns:
        possible object is `Double`

    - #### setSmoothedValue

          public void setSmoothedValue(java.lang.Double value)

      Sets the value of the smoothedValue property.
      Parameters:
        `value` - allowed object is `Double`